package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysSmsLogMapper;
import com.ruoyi.system.domain.SysSmsLog;
import com.ruoyi.system.service.ISysSmsLogService;

/**
 * 短信发送记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-09-12
 */
@Service
public class SysSmsLogServiceImpl implements ISysSmsLogService 
{
    @Autowired
    private SysSmsLogMapper sysSmsLogMapper;

    /**
     * 查询短信发送记录
     * 
     * @param id 短信发送记录主键
     * @return 短信发送记录
     */
    @Override
    public SysSmsLog selectSysSmsLogById(Long id)
    {
        return sysSmsLogMapper.selectSysSmsLogById(id);
    }

    /**
     * 查询短信发送记录列表
     * 
     * @param sysSmsLog 短信发送记录
     * @return 短信发送记录
     */
    @Override
    public List<SysSmsLog> selectSysSmsLogList(SysSmsLog sysSmsLog)
    {
        return sysSmsLogMapper.selectSysSmsLogList(sysSmsLog);
    }

    /**
     * 新增短信发送记录
     * 
     * @param sysSmsLog 短信发送记录
     * @return 结果
     */
    @Override
    public int insertSysSmsLog(SysSmsLog sysSmsLog)
    {
        sysSmsLog.setCreateTime(DateUtils.getNowDate());
        return sysSmsLogMapper.insertSysSmsLog(sysSmsLog);
    }

    /**
     * 修改短信发送记录
     * 
     * @param sysSmsLog 短信发送记录
     * @return 结果
     */
    @Override
    public int updateSysSmsLog(SysSmsLog sysSmsLog)
    {
        sysSmsLog.setUpdateTime(DateUtils.getNowDate());
        return sysSmsLogMapper.updateSysSmsLog(sysSmsLog);
    }

    /**
     * 批量删除短信发送记录
     * 
     * @param ids 需要删除的短信发送记录主键
     * @return 结果
     */
    @Override
    public int deleteSysSmsLogByIds(Long[] ids)
    {
        return sysSmsLogMapper.deleteSysSmsLogByIds(ids);
    }

    /**
     * 删除短信发送记录信息
     * 
     * @param id 短信发送记录主键
     * @return 结果
     */
    @Override
    public int deleteSysSmsLogById(Long id)
    {
        return sysSmsLogMapper.deleteSysSmsLogById(id);
    }
}
